Subject: [TR] 61 TR3A Question Brakes

From: "Jim Henningsen" <[email-masked]>
Date: Wed, 6 Nov 2019 13:19:21 -0500

My front brakes feel like they are dragging and I heard that it can be
caused by faulty restrictor valve assembly (part number 116197 in Tr4 parts
manual).  I have same part on my 62 early Tr4.  The calipers have been
rebuilt, new seals, ss pistons, hoses and dot 5.  New master cylinder too.
Any harm in removing the spring and "screw" internals on the restrictor
valve so fluid flows freely.  Also heard that you don't really need
restrictor valve.  
Thanks in advance,
Jim Henningsen
61 TR3A
62 TR4
75 TR6
82 Jeep CJ8

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive